MWAWCellContent::FormulaInstruction Struct Reference documentation

MWAWCellContent::FormulaInstruction Struct Reference

small class use to define a formula instruction More...

`#include <MWAWCell.hxx>`

## Public Types
enum | Type { F_Operator , F_Function , F_Cell , F_CellList , F_Long , F_Double , F_Text , F_Unicode }

## Public Member Functions
| FormulaInstruction ()
| constructor
librevenge::RVNGPropertyList | getPropertyList (MWAWFontConverter &fontConverter, int fontId) const
| returns a proplist corresponding to a instruction using a font converter to send the text

## Public Attributes
Type | m_type
| the type
std::string | m_content
| the content ( if type == F_Operator or type = F_Function or type==F_Text)
double | m_longValue
| value ( if type==F_Long )
double | m_doubleValue
| value ( if type==F_Double )
MWAWVec2i | m_position [2]
| cell position ( if type==F_Cell or F_CellList )
MWAWVec2b | m_positionRelative [2]
| relative cell position ( if type==F_Cell or F_CellList )
librevenge::RVNGString | m_sheet [2]
| the sheet names (if not empty)
librevenge::RVNGString | m_fileName
| the file name (if not empty)

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWCellContent::FormulaInstruction const &inst)
| operator<<

## Detailed Description

small class use to define a formula instruction

## Member Enumeration Documentation

## ◆ Type

enum MWAWCellContent::FormulaInstruction::Type

Enumerator
F_Operator |
F_Function |
F_Cell |
F_CellList |
F_Long |
F_Double |
F_Text |
F_Unicode |

## Constructor & Destructor Documentation

## ◆ FormulaInstruction()

MWAWCellContent::FormulaInstruction::FormulaInstruction | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPropertyList()

librevenge::RVNGPropertyList MWAWCellContent::FormulaInstruction::getPropertyList | ( | MWAWFontConverter & | fontConverter,
|  | int | fontId ) const

returns a proplist corresponding to a instruction using a font converter to send the text

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWCellContent::FormulaInstruction const & | inst )
| friend

operator<<

## Member Data Documentation

## ◆ m_content

std::string MWAWCellContent::FormulaInstruction::m_content

the content ( if type == F_Operator or type = F_Function or type==F_Text)

Referenced by FormulaInstruction(), getPropertyList(), operator<<, BeagleWksStructManager::readFormula(), ClarisWksDbaseContent::readFormula(), GreatWksDocument::readFormula(), JazzSSParser::readFormula(), MsWksDocument::readFormula(), MultiplanParser::readFormula(), RagTime5Formula::readFormula(), RagTimeSpreadsheet::readFormula(), WingzParser::readFormula(), RagTime5Formula::readFormulaDefinition(), RagTimeSpreadsheet::readFormulaV2(), MultiplanParser::readLink(), GreatWksDBParserInternal::Field::updateCell(), and MsWksDBParserInternal::SerialFormula::updateContent().

## ◆ m_doubleValue

double MWAWCellContent::FormulaInstruction::m_doubleValue

value ( if type==F_Double )

Referenced by FormulaInstruction(), getPropertyList(), operator<<, BeagleWksStructManager::readFormula(), ClarisWksDbaseContent::readFormula(), GreatWksDocument::readFormula(), JazzSSParser::readFormula(), MsWksDocument::readFormula(), MultiplanParser::readFormula(), RagTime5Formula::readFormula(), RagTimeSpreadsheet::readFormula(), WingzParser::readFormula(), and RagTimeSpreadsheet::readFormulaV2().

## ◆ m_fileName

librevenge::RVNGString MWAWCellContent::FormulaInstruction::m_fileName

the file name (if not empty)

Referenced by FormulaInstruction(), getPropertyList(), operator<<, MultiplanParser::readLink(), and MultiplanParser::readLinkFilename().

## ◆ m_longValue

double MWAWCellContent::FormulaInstruction::m_longValue

value ( if type==F_Long )

Referenced by FormulaInstruction(), getPropertyList(), operator<<, BeagleWksStructManager::readFormula(), ClarisWksDbaseContent::readFormula(), GreatWksDocument::readFormula(), JazzSSParser::readFormula(), RagTime5Formula::readFormula(), RagTimeSpreadsheet::readFormula(), RagTimeSpreadsheet::readFormulaV2(), and MsWksDBParserInternal::SerialFormula::updateContent().

## ◆ m_position

MWAWVec2i MWAWCellContent::FormulaInstruction::m_position[2]

cell position ( if type==F_Cell or F_CellList )

Referenced by FormulaInstruction(), getPropertyList(), operator<<, JazzSSParser::readCell(), RagTime5Spreadsheet::readCellBlocks(), BeagleWksStructManager::readCellInFormula(), ClarisWksDbaseContent::readCellInFormula(), GreatWksDocument::readCellInFormula(), MsWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormula(), RagTimeSpreadsheet::readCellInFormulaV2(), BeagleWksStructManager::readFormula(), ClarisWksDbaseContent::readFormula(), GreatWksDocument::readFormula(), JazzSSParser::readFormula(), MsWksDocument::readFormula(), MultiplanParser::readFormula(), WingzParser::readFormula(), RagTime5Formula::readFormulaDefinition(), MultiplanParser::readLink(), MultiplanParser::readName(), WingzParser::readSpreadsheetCellName(), RagTime5SpreadsheetInternal::Sheet::setPLCValues(), and GreatWksDBParserInternal::Field::updateCell().

## ◆ m_positionRelative

MWAWVec2b MWAWCellContent::FormulaInstruction::m_positionRelative[2]

relative cell position ( if type==F_Cell or F_CellList )

Referenced by FormulaInstruction(), getPropertyList(), operator<<, JazzSSParser::readCell(), BeagleWksStructManager::readCellInFormula(), ClarisWksDbaseContent::readCellInFormula(), GreatWksDocument::readCellInFormula(), MsWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormula(), RagTimeSpreadsheet::readCellInFormulaV2(), BeagleWksStructManager::readFormula(), ClarisWksDbaseContent::readFormula(), GreatWksDocument::readFormula(), JazzSSParser::readFormula(), MsWksDocument::readFormula(), MultiplanParser::readFormula(), WingzParser::readFormula(), MultiplanParser::readLink(), MultiplanParser::readName(), WingzParser::readSpreadsheetCellName(), and GreatWksDBParserInternal::Field::updateCell().

## ◆ m_sheet

librevenge::RVNGString MWAWCellContent::FormulaInstruction::m_sheet[2]

the sheet names (if not empty)

Referenced by getPropertyList(), operator<<, RagTime5Spreadsheet::readCellBlocks(), RagTimeSpreadsheet::readCellInFormula(), RagTimeSpreadsheet::readCellInFormulaV2(), MultiplanParser::readLinkFilename(), and RagTime5SpreadsheetInternal::Sheet::setPLCValues().

## ◆ m_type

Type MWAWCellContent::FormulaInstruction::m_type

the type

Referenced by FormulaInstruction(), getPropertyList(), operator<<, JazzSSParser::readCell(), RagTime5Spreadsheet::readCellBlocks(), BeagleWksStructManager::readCellInFormula(), ClarisWksDbaseContent::readCellInFormula(), GreatWksDocument::readCellInFormula(), MsWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormula(), RagTimeSpreadsheet::readCellInFormulaV2(), BeagleWksStructManager::readFormula(), ClarisWksDbaseContent::readFormula(), GreatWksDocument::readFormula(), JazzSSParser::readFormula(), MsWksDocument::readFormula(), MultiplanParser::readFormula(), RagTime5Formula::readFormula(), RagTimeSpreadsheet::readFormula(), WingzParser::readFormula(), RagTime5Formula::readFormulaDefinition(), RagTimeSpreadsheet::readFormulaV2(), MultiplanParser::readLink(), MultiplanParser::readName(), WingzParser::readSpreadsheetCellName(), RagTime5SpreadsheetInternal::Sheet::setPLCValues(), GreatWksDBParserInternal::Field::updateCell(), and MsWksDBParserInternal::SerialFormula::updateContent().

The documentation for this struct was generated from the following files:

- MWAWCell.hxx
- MWAWCell.cxx